> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/shopping-carts/inline/use-cases/turn-on-auto-advance-feature.md).

# Turn on auto-advance feature

## Overview

Use the **Cart** object to turn on the auto-advance feature (if mandatory fields are filled in) on the InLine checkout by calling the `TwoCoInlineCart.cart.setAutoAdvance(true)` method.

## Use case

1. Add an HTML link or button on your page like the one below.
2. Create a JavaScript click handler to execute the InLine Client desired methods.
3. Use the `TwoCoInlineCart.products.add({code, quantity, options})` method to prepare your catalog product.
4. Turn on the auto-advance feature by calling the `TwoCoInlineCart.cart.setAutoAdvance(true)` method.
5. Set all the mandatory fields for billing.<br>

   ```javascript
   TwoCoInlineCart.billing.setCountry('US');
   TwoCoInlineCart.billing.setEmail('some@email.com');
   TwoCoInlineCart.billing.setName('John Doe');
   ```
6. Use the `TwoCoInlineCart.cart.checkout()` method to show the cart on your page.

## Request sample

### HTML

```html
<a href="#" class="btn btn-success" id="buy-button">Buy now!</a>
```

### JavaScript

```javascript
window.document.getElementById('buy-button').addEventListener('click', function() {
    TwoCoInlineCart.products.add({
        code: "74B8E17CC0"
    });
    TwoCoInlineCart.cart.setAutoAdvance(true);
    TwoCoInlineCart.billing.setCountry('US');
    TwoCoInlineCart.billing.setEmail('some@email.com');
    TwoCoInlineCart.billing.setName('John Doe');
    TwoCoInlineCart.cart.checkout();
});
```

## Demo

After turning on the cart auto-advance feature using the above method, your cart should look like this:

{% embed url="<https://codepen.io/2checkout-documentation/pen/rNxvVBE>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/shopping-carts/inline/use-cases/turn-on-auto-advance-feature.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
